<template>
  <div>
    <b-container>
      <b-form @submit="onSubmit" v-if="show">
        <b-form-group
          id="input-group-1"
          label="Email:"
          label-for="input-1"
          description="We'll never share your email with anyone else."
        >
          <b-form-input
            id="input-1"
            v-model="form.email"
            type="email"
            required
            placeholder="Enter email"
          ></b-form-input>
        </b-form-group>

        <b-form-group id="input-group-2" label="Password:" label-for="input-2">
          <b-form-input
            id="input-2"
            v-model="form.pass"
            required
            placeholder="Enter your password"
            type="password"
          ></b-form-input>
        </b-form-group>

        <b-button type="submit" variant="primary">Login</b-button>
        <b-button @click="register" variant="dark">Sign up</b-button>
      </b-form>
    </b-container>
  </div>
</template>


<script>
import firebase from "firebase";

export default {
  data() {
    return {
      form: {
        email: "",
        pass: ""
      },
      show: true
    };
  },
  methods: {
    register() {
      var db = firebase.firestore();
      firebase
        .auth()
        .createUserWithEmailAndPassword(this.form.email, this.form.pass)
        .then(() => {
          alert("USUARIO CREADO");
        })
        .catch(function(error) {
          console.log(error);
          // Handle Errors here.
          var errorCode = error.code;
          var errorMessage = error.message;
          // ...
        });
    },
    onSubmit(evt) {
      evt.preventDefault();
      firebase
        .auth()
        .signInWithEmailAndPassword(this.form.email, this.form.pass).then(() => {
      this.$router.push({
        name: "movie"
      });
        })
        .catch(function(error) {
          // Handle Errors here.
          alert('Credenciales incorrectas!')
          // ...
        });
    }
  }
};
</script>
